Name:		python-xpyb
Version:	1.3.1
Release:	11%{?dist}
Summary:	Python bindings to XCB
License:	Public Domain
URL:		http://xcb.freedesktop.org
Source:		http://xcb.freedesktop.org/dist/xpyb-%{version}.tar.bz2
BuildRequires:	xcb-proto
BuildRequires:	libxcb-devel
BuildRequires:	python2-devel

%global _description\
The Python binding for XCB allows the X protocol to be accessed directly from\
Python. There are two components:\
\
- A Python extension written in C. This exposes XCB-specific objects and\
  library functions, as well as providing various base classes used by the\
  generated code.\
- Python modules which are generated directly from the XCB-XML protocol\
  descriptions.

%description %_description

%package -n python2-xpyb
Summary: %summary
%{?python_provide:%python_provide python2-xpyb}

%description -n python2-xpyb %_description

%package devel
Summary:	Devel files of xpyb
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	libxcb-devel
Requires:	python2-devel

%description devel
This package provides devel files of xpyb, a Python binding to the
X Window System protocol via libxcb.

%prep
%setup -q -n xpyb-%{version}

%build
%configure --docdir=%{_docdir}/xpyb \
	--enable-selinux 

make %{?_smp_mflags}

%install
%make_install
# Delete static lib
find %{buildroot} -name '*.la' -exec rm -f {} ';'
# Delete INSTALL doc
find %{buildroot} -name 'INSTALL' -exec rm -f {} ';'

%files -n python2-xpyb
%{python_sitearch}/xcb/
%{_docdir}/xpyb/

%files devel
%{_libdir}/pkgconfig/xpyb.pc
%{_includedir}/*.h

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.1-10
- Python 2 binary package renamed to python2-xpyb
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 01 2013 Tomas Dabasinskas <tomas@redhat.com> - 1.3.1-1
- Edits for inclusion to fedora yum repo BZ980071
* Sat Apr 20 2013 Huaren Zhong <huaren.zhong@gmail.com> - 1.3
- Rebuild for Fedora
* Mon Apr  8 2013 mlin@suse.com
- Initial a build
